%define         major        12
%define         libname      %mklibname yui %{major}-mga
%define         develname    %mklibname -d yui-mga

Name:           libyui-mga
Version:        1.1.0
Release:        %mkrel 3
Summary:        UI abstraction library - Mageia extension widget base plugin
License:        LGPLv2+
Group:          System/Libraries
Url:            https://github.com/manatools/libyui-mga
Source0:        %{name}-%{version}.tar.gz

BuildRequires:    pkgconfig(libpng)
BuildRequires:    pkgconfig(libyui)
BuildRequires:    cmake
BuildRequires:    boost-devel
BuildRequires:    doxygen
BuildRequires:    texlive
BuildRequires:    texlive-dist
BuildRequires:    ghostscript
BuildRequires:    graphviz
Requires:         libyui

%description
%{summary}

#-----------------------------------------------------------------------

%package -n %libname
Summary:        %{summary}
Group:          System/Libraries
Requires:       libyui
Provides:       %{name} = %{version}-%{release}

%description -n %libname
This package contains the library needed to run programs
dynamically linked with libyui-mga.

%files -n %libname
%doc COPYING*
%{_libdir}/libyui-mga.so.%{major}{,.*}


#-----------------------------------------------------------------------

%package -n %develname
Summary:        %{summary} header files
Group:          Development/C++
Requires:       libyui-devel
Requires:       %{name} = %{version}-%{release}


%description -n %develname
This package provides headers files for libyui-mga development.

%files -n %develname
%{_includedir}/yui
%{_libdir}/libyui-mga.so
%{_libdir}/pkgconfig/libyui-mga.pc
%{_libdir}/cmake/libyui-mga
%doc %{_docdir}/libyui-mga%{major}

#-----------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
./bootstrap.sh
%cmake \
    -DYPREFIX=%{_prefix} \
    -DDOC_DIR=%{_docdir} \
    -DLIB_DIR=%{_lib}    \
    -DENABLE_DEBUG=1     \
    -DINSTALL_DOCS=yes   \
    -DENABLE_EXAMPLES=no
%cmake_build
%cmake_build -t docs

%install
%cmake_install

find "%{buildroot}" -name "*.la" -delete


%changelog
* Sat Jan 09 2021 wally <wally> 1.1.0-3.mga8
+ Revision: 1669979
- rebuild with doxygen 1.9.1

* Sun Oct 25 2020 akien <akien> 1.1.0-2.mga8
+ Revision: 1639169
- Fix misuse of %%cmake_build macro

* Mon Jun 29 2020 anaselli <anaselli> 1.1.0-1.mga8
+ Revision: 1600475
- new 1.1.0

* Fri Mar 27 2020 anaselli <anaselli> 1.0.8-5.mga8
+ Revision: 1561195
- Update for new libyui

* Fri Feb 14 2020 umeabot <umeabot> 1.0.8-4.mga8
+ Revision: 1521229
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros
- replace deprecated %%makeinstall_std

* Sun Dec 16 2018 anaselli <anaselli> 1.0.8-3.mga7
+ Revision: 1341835
- rebuilt for new libyui

* Sun Sep 23 2018 umeabot <umeabot> 1.0.8-2.mga7
+ Revision: 1299285
- Mageia 7 Mass Rebuild

* Sun Jan 28 2018 anaselli <anaselli> 1.0.8-1.mga7
+ Revision: 1197785
- removed unused macro
- version 1.0.8

* Sun Oct 09 2016 anaselli <anaselli> 1.0.7-3.mga6
+ Revision: 1059754
- rebuilt for new libyui

* Tue Jan 19 2016 anaselli <anaselli> 1.0.7-2.mga6
+ Revision: 925795
- release bumped

* Mon Jan 18 2016 anaselli <anaselli> 1.0.7-1.mga6
+ Revision: 925599
- disabling example by now
- new version 1.0.7

* Mon Oct 19 2015 anaselli <anaselli> 1.0.6-1.mga6
+ Revision: 892862
- new 1.0.6

* Wed Oct 15 2014 umeabot <umeabot> 1.0.4-4.mga5
+ Revision: 742517
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.4-3.mga5
+ Revision: 681913
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 anaselli <anaselli> 1.0.4-2.mga5
+ Revision: 616896
- rebuilt for new libyui

* Wed Apr 09 2014 anaselli <anaselli> 1.0.4-1.mga5
+ Revision: 613113
- New version 1.0.4

* Sun Mar 30 2014 anaselli <anaselli> 1.0.3-0.git20140329.2.mga5
+ Revision: 610487
- Added debug symbols

* Sun Mar 30 2014 anaselli <anaselli> 1.0.3-0.git20140329.1.mga5
+ Revision: 610339
- Fixed building
- new version 1.0.3
+ matteo <matteo>
- imported package libyui-mga

